GEGPS(1)

NAME
gegps - Google Earth client for gpsd

SYNOPSIS

gegps [OPTIONS] [server[:port[:device]]]

gegps -h

gegps -V

DESCRIPTION

gegps program collects fixes from gpsd and feeds them to a running instance of Google Earth for live location tracking.

OPTIONS

-?, -h, --help
    Print a summary of options and then exit.

-d DIR, --kmldir DIR
    Specify the location of the Google Earth installation directory. If not specified, it defaults to the current directory.

-D LVL, --debug LVL
    Sets the debug level; it is primarily for use by GPSD developers. It enables various progress messages to standard error.

--device DEVICE
    Connect to device DEVICE on gpsd host.

--host HOST
    Connect to gpsd on host HOST.

-i, --initialize
    If you have the free (non-subscription) version, start by running with the -i option to drop a clue in the Google Earth installation directory, as 'Open_in_Google_Earth_RT_GPS.kml', then open that file in Places (File > Open...). Run gegps in the normal way after that.

--port PORT
    Connect to gpsd on port PORT.

-V, --version
    Print the package version and exit.

gegps does not require root privileges, it should be run as the same user that your Google Earth client is running as.

ARGUMENTS

By default, clients collect data from the local gpsd daemon running on localhost, using the default GPSD port 2947. The optional argument to any client may override this behavior: [server[:port[:device]]]

For further explanation, and examples, see the ARGUMENTS section in the gps(1) man page

RETURN VALUES

0
    on success.

1
    on failure

SEE ALSO

gpsctl(1), gps(1), gpsprof(1), fake*(1), gpscat(1), gps*gpspipe(1), gpsmon(1), xgps(1). xgpsspeed(1)

libgps(3), libgpsmm(3)

gpsd(8)

RESOURCES

Project web site:

COPYING

This file is Copyright 2013 by the GPSD project
SPDX-License-Identifier: BSD-2-clause